> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/attachments/resolve.md).

# Resolve

Resolves attachment for given avatar & attachment id.

### GET /avatars/{AVATAR\_ID}/attachments/{ATTACHMENT\_ID}

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/attachments/{ATTACHMENT_ID}"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/5723980430835712/attachments/5111294722572288"
```

{% endtab %}
{% endtabs %}

| Parameter  | Transport | Type      | Description                                                                                     |
| ---------- | --------- | --------- | ----------------------------------------------------------------------------------------------- |
| `redirect` | `query`   | `boolean` | (Optional) 307 Temporary Redirect to attachment storage location if `true`. Default is `false`. |

#### Response

On success the endpoint returns HTTP 200 OK as well as a JSON body containing attachment type, name (if applicable, eg. animation / sticker name) & storage location.

If query parameter `?redirect=true` has been passed, the endpoint redirects to the attachment's storage location instead.

For details on available attachment types, see [Schema > Attachment Type](https://docs.loomai.com/api/schema/attachment-type.md).

{% tabs %}
{% tab title="Schema" %}

```javascript
{
  "id": int64,
  "type": "string",
  "name": "string",
  "url": "string",
  "updated_at": "string" // ISO-8601 DATETIME
}
```

{% endtab %}

{% tab title="Example" %}

```javascript
{
  "id": 5111294722572288,
  "type": "renderings_pose",
  "name": "neutral",
  "url": "https://storage.googleapis.com/live-com-loomai-api-attachments/5484235973984256/MThVY01uV2tfbWlhLWF2YXRhcg==.png",
  "updated_at": "2020-04-05T16:37:57Z"
}
```

{% endtab %}
{% endtabs %}
